org.apache.tinkerpop.gremlin.process.computer.bulkloading

## Interface BulkLoader

- All Known Implementing Classes:
    IncrementalBulkLoader, OneTimeBulkLoader

  Deprecated.
  As of release 3.2.10, not directly replaced - consider graph provider specific bulk loading methods

      @Deprecated
      public interface BulkLoader

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Configuration configuration)` Deprecated. Configures the BulkLoader instance.
    `default Edge` | `createEdge(Edge edge, Vertex outVertex, Vertex inVertex, Graph graph, GraphTraversalSource g)` Deprecated. Creates a clone of the given edge between the given in- and out-vertices.
    `default VertexProperty` | `createVertexProperty(VertexProperty<?> property, Vertex vertex, Graph graph, GraphTraversalSource g)` Deprecated. Creates a clone of the given property for the given vertex.
    `Edge` | `getOrCreateEdge(Edge edge, Vertex outVertex, Vertex inVertex, Graph graph, GraphTraversalSource g)` Deprecated. Gets or creates a clone of the given edge between the given in- and out-vertices.
    `Vertex` | `getOrCreateVertex(Vertex vertex, Graph graph, GraphTraversalSource g)` Deprecated. Gets or creates a clone of the given vertex in the given graph.
    `VertexProperty` | `getOrCreateVertexProperty(VertexProperty<?> property, Vertex vertex, Graph graph, GraphTraversalSource g)` Deprecated. Gets or creates a clone of the given property for the given vertex.
    `Vertex` | `getVertex(Vertex vertex, Graph graph, GraphTraversalSource g)` Deprecated. Get a vertex that matches the given vertex from the given graph.
    `default Vertex` | `getVertexById(Object id, Graph graph, GraphTraversalSource g)` Deprecated. Gets a vertex by its ID from the given graph.
    `default String` | `getVertexIdProperty()` Deprecated.
    `boolean` | `keepOriginalIds()` Deprecated.
    `boolean` | `useUserSuppliedIds()` Deprecated.

- - ### Method Detail

    - #### getOrCreateVertex

          Vertex getOrCreateVertex(Vertex vertex,
                                   Graph graph,
                                   GraphTraversalSource g)

      Deprecated.
      Gets or creates a clone of the given vertex in the given graph.
      Parameters:
        `vertex` - The vertex to be cloned.
        `graph` - The graph that holds the cloned vertex after this method was called.
        `g` - A standard traversal source for the given graph.
      Returns:
        The cloned vertex.

    - #### createEdge

          default Edge createEdge(Edge edge,
                                  Vertex outVertex,
                                  Vertex inVertex,
                                  Graph graph,
                                  GraphTraversalSource g)

      Deprecated.
      Creates a clone of the given edge between the given in- and out-vertices.
      Parameters:
        `edge` - The edge to be cloned.
        `outVertex` - The out-vertex in the given graph..
        `inVertex` - The in-vertex in the given graph.
        `graph` - The graph that holds the cloned edge after this method was called.
        `g` - A standard traversal source for the given graph.
      Returns:
        The cloned edge.

    - #### getOrCreateEdge

          Edge getOrCreateEdge(Edge edge,
                               Vertex outVertex,
                               Vertex inVertex,
                               Graph graph,
                               GraphTraversalSource g)

      Deprecated.
      Gets or creates a clone of the given edge between the given in- and out-vertices.
      Parameters:
        `edge` - The edge to be cloned.
        `outVertex` - The out-vertex in the given graph..
        `inVertex` - The in-vertex in the given graph.
        `graph` - The graph that holds the cloned edge after this method was called.
        `g` - A standard traversal source for the given graph.
      Returns:
        The cloned edge.

    - #### createVertexProperty

          default VertexProperty createVertexProperty(VertexProperty<?> property,
                                                      Vertex vertex,
                                                      Graph graph,
                                                      GraphTraversalSource g)

      Deprecated.
      Creates a clone of the given property for the given vertex.
      Parameters:
        `property` - The property to be cloned.
        `vertex` - The vertex in the given graph..
        `graph` - The graph that holds the given vertex.
        `g` - A standard traversal source for the given graph.
      Returns:
        The cloned property.

    - #### getOrCreateVertexProperty

          VertexProperty getOrCreateVertexProperty(VertexProperty<?> property,
                                                   Vertex vertex,
                                                   Graph graph,
                                                   GraphTraversalSource g)

      Deprecated.
      Gets or creates a clone of the given property for the given vertex.
      Parameters:
        `property` - The property to be cloned.
        `vertex` - The vertex in the given graph..
        `graph` - The graph that holds the given vertex.
        `g` - A standard traversal source for the given graph.
      Returns:
        The cloned property.

    - #### getVertex

          Vertex getVertex(Vertex vertex,
                           Graph graph,
                           GraphTraversalSource g)

      Deprecated.
      Get a vertex that matches the given vertex from the given graph.
      Parameters:
        `vertex` - The vertex to be matched.
        `graph` - The graph that holds the given vertex.
        `g` - A standard traversal source for the given graph.
      Returns:
        The matched vertex.

    - #### getVertexById

          default Vertex getVertexById(Object id,
                                       Graph graph,
                                       GraphTraversalSource g)

      Deprecated.
      Gets a vertex by its ID from the given graph.
      Parameters:
        `id` - The vertex ID.
        `graph` - The graph that holds the vertex with the given ID.
        `g` - A standard traversal source for the given graph.
      Returns:
        The vertex with the given ID.

    - #### useUserSuppliedIds

          boolean useUserSuppliedIds()

      Deprecated.
      Returns:
        Whether to use user supplied identifiers or not.

    - #### keepOriginalIds

          boolean keepOriginalIds()

      Deprecated.
      Returns:
        Whether to keep the original vertex identifiers in the target graph or not.

    - #### getVertexIdProperty

          default String getVertexIdProperty()

      Deprecated.
      Returns:
        The name of the vertex property that is used to store the original vertex id.

    - #### configure

          void configure(Configuration configuration)

      Deprecated.
      Configures the BulkLoader instance.
      Parameters:
        `configuration` - The BulkLoader configuration.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.